Bug 1378631 - rpm installs non-program files with executable bit set
Summary: rpm installs non-program files with executable bit set
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: geany
Version: 24
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Josef Bacik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-23 00:09 UTC by Van de Bugger
Modified: 2016-11-25 07:22 UTC (History)
4 users (show)

Fixed In Version: geany-1.29-2.fc24 geany-1.29-2.fc25 geany-1.29-2.fc23
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-17 02:25:33 UTC
Type: Bug


Attachments (Terms of Use)
Proposed fix. (630 bytes, patch)
2016-09-23 00:09 UTC, Van de Bugger
no flags Details | Diff

Description Van de Bugger 2016-09-23 00:09:07 UTC
Created attachment 1203941 [details]
Proposed fix.

Description of problem:

geany rpm contains (and installs) many tags files (/usr/share/geany/tags/*.tags) which are not programs, but have executable bit set.

Version-Release number of selected component (if applicable):

Fedora 24 @ x86_64
geany-1.28-1.fc24

How reproducible:

Always

Steps to Reproduce:
1. dbf install geany
2. find /usr/share/geany/tags -executable

Actual results:

/usr/share/geany/tags
/usr/share/geany/tags/geany-api-0.21.c.tags
/usr/share/geany/tags/gladeui-1.0.c.tags
/usr/share/geany/tags/libdevhelp-2.0.c.tags
/usr/share/geany/tags/drupal.php.tags
/usr/share/geany/tags/wordpress.php.tags
/usr/share/geany/tags/webkit-1.0.c.tags
/usr/share/geany/tags/standard.css.tags
/usr/share/geany/tags/dbus-glib-0.76.c.tags
/usr/share/geany/tags/std.latex.tags
/usr/share/geany/tags/xfce48.c.tags
/usr/share/geany/tags/libgdl-3.0.c.tags
/usr/share/geany/tags/v4l2.c.tags
/usr/share/geany/tags/std.glsl.tags
/usr/share/geany/tags/ethos-1.0.c.tags
/usr/share/geany/tags/tcl.tcl.tags
/usr/share/geany/tags/sqlite3.c.tags
/usr/share/geany/tags/gtksourceview-3.0.c.tags
/usr/share/geany/tags/gnt.c.tags
/usr/share/geany/tags/std.vala.tags
/usr/share/geany/tags/libxml-2.0.c.tags
/usr/share/geany/tags/gtkscintilla-2.0.c.tags
/usr/share/geany/tags/gtk_-2.24.c.tags

Expected results:

<no executable files in /usr/share/geany/tags>

Additional info:

Problem can be easily fixed in the spec file. See attached patch.

Comment 1 Fedora Update System 2016-11-14 10:30:44 UTC
geany-plugins-1.29-1.fc25 geany-1.29-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-01ad22d5c5

Comment 2 Fedora Update System 2016-11-14 10:31:09 UTC
geany-1.29-2.fc23 geany-plugins-1.29-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-24d2da2262

Comment 3 Fedora Update System 2016-11-14 10:31:29 UTC
geany-1.29-2.fc24 geany-plugins-1.29-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-81015859a4

Comment 4 Fedora Update System 2016-11-15 02:26:13 UTC
geany-1.29-2.fc23, geany-plugins-1.29-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-24d2da2262

Comment 5 Fedora Update System 2016-11-15 02:30:26 UTC
geany-1.29-2.fc24, geany-plugins-1.29-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-81015859a4

Comment 6 Fedora Update System 2016-11-15 13:27:15 UTC
geany-1.29-2.fc25, geany-plugins-1.29-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-01ad22d5c5

Comment 7 Fedora Update System 2016-11-17 02:25:33 UTC
geany-1.29-2.fc24, geany-plugins-1.29-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-11-21 18:54:00 UTC
geany-1.29-2.fc25, geany-plugins-1.29-1.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-11-25 07:22:37 UTC
geany-1.29-2.fc23, geany-plugins-1.29-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.